C 시리즈 DSUB 또는 스프링 터미널 모듈이 인식되지 않거나 지원되지 않습니다

업데이트 됨 Dec 27, 2019

해당 제품

하드웨어

  • NI-9207
  • NI-9208
  • NI-9209
  • NI-9425
  • NI-9476
  • NI-9210

소프트웨어

  • Measurement & Automation Explorer (MAX)

운전사

  • NI-DAQmx

문의사항

cDAQ 섀시 혹은 컨트롤러에서 NI 9207, NI 9208, NI 9209, NI 9210, NI 9425 또는 NI 9476 C 시리즈 DSUB 또는 스프링 터미널 모듈을 사용하려고 합니다. 그러나 다음과 같은 현상이 나타납니다.
  • 모듈이 NI Measurement & Automation Explorer (MAX)에서 인식되지 않거나 Windows 장치 관리자에 나타나지 않습니다.
  • 모듈이 NI Measurement & Automation Explorer (MAX)에 다음 메시지와 함께 나타납니다 : 지원되지 않는 모듈(Unsupported Module)
이 모듈은 NI-DAQmx 드라이버와 호환되고 지원됩니까? 이러한 모듈을 인식하도록 구성 또는 설정하려면 어떻게 해야 합니까?

해결책

1. 모듈이 DSUB 또는 스프링 터미널인지 확인하십시오. 스프링 터미널과 DSUB 터미널은 다음과 유사하게 하드웨어적으로 구성되어 있습니다.

참고 : 아래 이미지는 NI 9208 이지만, NI 9207, NI 9209, NI 9210, NI 9425 및 NI 9476 에서도 스프링 혹은 DSUB 터미널 커넥터 모양은 유사하게 보여집니다.
 
NI 9208 with DSUB
NI 9208 with Spring Terminal
 
  • NI 9207, NI 9208, NI 9209, NI 9210, NI 9425 또는 NI 9476의 스프링 터미널을 사용하는 경우 현재 NI-DAQmx 17.1 이상 버전에서 지원됩니다. NI-DAQmx 17.0 또는 이전 버전을 설치 한 경우, 모듈이 올바르게 작동하도록 드라이버를 업그레이드해야합니다. NI-DAQmx 드라이버를 업그레이드 할 수 없고 하드웨어 구성을 변경해야 하는 경우, 당사에 문의 주시기 바랍니다.
    • 장치의 소프트웨어 지원에 대한 자세한 내용은 소프트웨어 지원 문서에서 확인할 수 있습니다. 참고 : 장치별 정보를 보려면 섹션 2의 드롭 다운 메뉴에서 확인하고 싶은 C 시리즈 모듈을 선택하십시오.
  • NI 9207, NI 9208, NI 9209, NI 9210, NI 9425 또는 NI 9476의 DSUB 터미널을 사용하는 경우 소프트웨어 지원 문서의 드롭 다운 메뉴에서 모듈을 선택하고 최소 소프트웨어 지원 섹션을 확인하여, NI-DAQmx 드라이버를 업그레이드해야 하는지 검토하시기 바랍니다.

2. 올바른 버전의 DAQmx 드라이버 버전을 사용하고 있다고 판단되면, 1단계를 거친 후, cDAQ Module Shows Up as Unsupported Module in NI MAX 문서를 참고하시기 바랍니다.